@echo off
rem BEGIN COPYRIGHT
rem ************************************************************************
rem
rem   Licensed Materials - Property of IBM
rem   WA03 SupportPac
rem   (c) Copyright IBM Corp. 2004
rem   US Government Users Restricted Rights - Use, duplication or
rem   disclosure restricted by GSA ADP Schedule Contract
rem   with IBM Corp.
rem
rem ************************************************************************
rem END COPYRIGHT
rem BEGIN DISCLAIMER
rem ************************************************************************
rem   DISCLAIMER
rem   ----------
rem   This material contains programming source code for your consideration.
rem   These examples have not been thoroughly tested under all conditions.
rem   IBM, therefore, cannot guarantee or imply reliability, serviceability,
rem   or function of these programs.
rem   ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
rem   WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
rem   NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
rem   FOR A PARTICULAR PURPOSE.
rem ************************************************************************
rem END DISCLAIMER

echo ************************************************************
echo *                                                          *
echo * IBM WebSphere MQ Workflow API calls via EJB              *
echo *                                                          *
echo * This sample shows how to call Workflow APIs from an      *
echo * Enterprise Java Bean.                                    *
echo ************************************************************

setlocal
SET WAS_HOME=D:\Programs\WAS5
SET JAVA_HOME=%WAS_HOME%\java
SET MQ_DIR=D:\Programs\IBM\WebSphere MQ\Java\Lib
SET EJB_JAR=MQWF-EJBInvocation.jar

"%JAVA_HOME%\bin\javac" -classpath ".\%EJB_JAR%;%WAS_HOME%\lib\j2ee.jar" EJBTestClient.java
"%JAVA_HOME%\bin\java" -cp ".\%EJB_JAR%;%WAS_HOME%\lib\namingclient.jar;%WAS_HOME%\properties;%WAS_HOME%\lib\ecutils.jar" com.ibm.workflow.api.smp.EJB.client.EJBTestClient
